> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Agent

> Update agent configuration with enhanced settings.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json post /config/agents/{agent_id}/configure
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /config/agents/{agent_id}/configure:
    post:
      tags:
        - agent-configuration
      summary: Configure Agent
      description: Update agent configuration with enhanced settings.
      operationId: configure_agent_config_agents__agent_id__configure_post
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/app__controllers__agent_config__AgentConfigUpdate
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__controllers__agent_config__AgentConfigUpdate:
      properties:
        model_configuration:
          anyOf:
            - $ref: '#/components/schemas/ModelConfig'
            - type: 'null'
        voice_config:
          anyOf:
            - $ref: '#/components/schemas/VoiceConfig'
            - type: 'null'
        transcriber_config:
          anyOf:
            - $ref: '#/components/schemas/TranscriberConfig'
            - type: 'null'
        conversation_control:
          anyOf:
            - $ref: '#/components/schemas/ConversationControl'
            - type: 'null'
        call_timeout:
          anyOf:
            - $ref: '#/components/schemas/CallTimeout'
            - type: 'null'
        analysis_config:
          anyOf:
            - $ref: '#/components/schemas/AnalysisConfig'
            - type: 'null'
        voicemail_config:
          anyOf:
            - $ref: '#/components/schemas/VoicemailConfig'
            - type: 'null'
        keypad_config:
          anyOf:
            - $ref: '#/components/schemas/KeypadConfig'
            - type: 'null'
      type: object
      title: AgentConfigUpdate
      description: Complete agent configuration update model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelConfig:
      properties:
        provider:
          type: string
          pattern: >-
            ^(openai|azure_openai|anthropic|google|groq|cerebras|deepseek|xai|perplexity|together|amazon_bedrock|anyscale|openrouter|deepinfra)$
          title: Provider
          default: openai
        model_name:
          type: string
          maxLength: 100
          minLength: 1
          title: Model Name
          default: gpt-4o-mini
        temperature:
          type: number
          maximum: 1
          minimum: 0
          title: Temperature
          default: 0.7
        max_tokens:
          type: integer
          maximum: 1000
          minimum: 50
          title: Max Tokens
          default: 150
        first_message_mode:
          type: boolean
          title: First Message Mode
          default: true
        first_message_script:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: First Message Script
      type: object
      title: ModelConfig
      description: Model configuration for agents.
    VoiceConfig:
      properties:
        provider:
          type: string
          pattern: ^(elevenlabs|cartesia|openai|deepgram|google|azure|rime|lmnt)$
          title: Provider
          default: elevenlabs
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Id
        background_sound_url:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Background Sound Url
        input_min_characters:
          type: integer
          maximum: 100
          minimum: 10
          title: Input Min Characters
          default: 30
      type: object
      title: VoiceConfig
      description: Voice configuration for agents.
    TranscriberConfig:
      properties:
        provider:
          type: string
          pattern: ^(deepgram|openai|assemblyai|google|azure)$
          title: Provider
          default: deepgram
        model:
          type: string
          maxLength: 100
          minLength: 1
          title: Model
          default: nova-3
        background_denoising:
          type: boolean
          title: Background Denoising
          default: true
        confidence_threshold:
          type: number
          maximum: 1
          minimum: 0
          title: Confidence Threshold
          default: 0.4
      type: object
      title: TranscriberConfig
      description: Transcriber configuration for agents.
    ConversationControl:
      properties:
        wait_seconds:
          type: number
          maximum: 1
          minimum: 0.1
          title: Wait Seconds
          default: 0.4
        smart_endpointing:
          type: boolean
          title: Smart Endpointing
          default: true
        interruption_words:
          type: integer
          maximum: 10
          minimum: 0
          title: Interruption Words
          default: 3
        punctuation_boundary_ms:
          type: integer
          maximum: 500
          minimum: 50
          title: Punctuation Boundary Ms
          default: 100
        no_punctuation_boundary_ms:
          type: integer
          maximum: 3000
          minimum: 800
          title: No Punctuation Boundary Ms
          default: 1500
      type: object
      title: ConversationControl
      description: Conversation control settings.
    CallTimeout:
      properties:
        silence_timeout_seconds:
          type: integer
          maximum: 120
          minimum: 10
          title: Silence Timeout Seconds
          default: 30
        max_duration_seconds:
          type: integer
          maximum: 1800
          minimum: 180
          title: Max Duration Seconds
          default: 600
        idle_messages_enabled:
          type: boolean
          title: Idle Messages Enabled
          default: true
        max_idle_messages:
          type: integer
          maximum: 10
          minimum: 1
          title: Max Idle Messages
          default: 3
        idle_timeout_seconds:
          type: number
          maximum: 60
          minimum: 5
          title: Idle Timeout Seconds
          default: 7.5
      type: object
      title: CallTimeout
      description: Call timeout and duration settings.
    AnalysisConfig:
      properties:
        analysis_prompt:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Analysis Prompt
        analysis_timeout_sec:
          type: integer
          maximum: 60
          minimum: 1
          title: Analysis Timeout Sec
          default: 10
        min_messages_for_analysis:
          type: integer
          maximum: 10
          minimum: 0
          title: Min Messages For Analysis
          default: 2
      type: object
      title: AnalysisConfig
      description: Call analysis configuration.
    VoicemailConfig:
      properties:
        voicemail_detection_enabled:
          type: boolean
          title: Voicemail Detection Enabled
          default: true
        voicemail_message:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Voicemail Message
        end_call_message:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: End Call Message
      type: object
      title: VoicemailConfig
      description: >-
        Voicemail and end call message configuration via LiveKit + Agent
        Workflow.
    KeypadConfig:
      properties:
        keypad_input_enabled:
          type: boolean
          title: Keypad Input Enabled
          default: false
        keypad_timeout_seconds:
          type: integer
          maximum: 6
          minimum: 1
          title: Keypad Timeout Seconds
          default: 2
        keypad_delimiters:
          type: string
          pattern: ^[#*]+$
          title: Keypad Delimiters
          default: '#'
      type: object
      title: KeypadConfig
      description: Keypad input configuration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````